
Smart Proxy - Bug #14808

Foreman-Proxy DHCP class doesn't properly read subnets containing if statements

04/26/2016 04:38 AM - Wojciech Kowalski

Status: Duplicate   

Priority: Normal   

Assignee: Wojciech Kowalski   

Category: DHCP   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

if dhcpd.conf contain if statement for pxe then subnets are not detected

eg.:

option arch code 93 = unsigned integer 16;

if option arch = 00:06 {

    filename "pxelinux/bootia32.efi";

} else if option arch = 00:07 {

    filename "efi64/bootx64.efi";

} else {

    filename "pxelinux.0";

}

 SUBNET_BLOCK_REGEX in modules/dhcp_isc/dhcp_isc_main.rb doesn't properly deal with {}

Related issues:

Related to Smart Proxy - Bug #16079: ISC DHCP subnets fail to parse with host... Closed 08/11/2016

History

#1 - 04/26/2016 04:39 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from DHCP to DHCP

- Status changed from New to Assigned

#2 - 10/06/2016 03:31 PM - David PORTE

- File dhcp_isc_main.rb__regexp.patch added

you can try this patch

this should do the trick...be gentle, this is my first in ruby

#3 - 10/06/2016 03:37 PM - Anonymous

Could you create a pull request with your chnges for git repository at https://github.com/theforeman/smart-proxy please?

#4 - 11/16/2016 10:33 AM - Anonymous

- Status changed from Assigned to Duplicate

This appears to be a duplicate of http://projects.theforeman.org/issues/16079 which has now been resolved.

#5 - 11/16/2016 10:33 AM - Anonymous

- Related to Bug #16079: ISC DHCP subnets fail to parse with host or class stanzas inside added
https://github.com/theforeman/smart-proxy
http://projects.theforeman.org/issues/16079


Files

dhcp_isc_main.rb__regexp.patch 2.59 KB 10/06/2016 David PORTE

Powered by TCPDF (www.tcpdf.org)

05/20/2024 2/2

http://www.tcpdf.org

